Package htsjdk.variant.variantcontext.writer

# Class BCF2FieldWriter

java.lang.Object
htsjdk.variant.variantcontext.writer.BCF2FieldWriter

Direct Known Subclasses:
  `BCF2FieldWriter.GenotypesWriter`, `BCF2FieldWriter.SiteWriter`

public abstract class BCF2FieldWriter extends Object
See #BCFWriter for documentation on this classes role in encoding BCF2 files

Since:
  06/12

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`BCF2FieldWriter.FTGenotypesWriter`
`static class`
`BCF2FieldWriter.GenericSiteWriter`
`static class`
`BCF2FieldWriter.GenotypesWriter`
`static class`
`BCF2FieldWriter.GTWriter`
`static class`
`BCF2FieldWriter.IGFGenotypesWriter`
`static class`
`BCF2FieldWriter.IntegerTypeGenotypesWriter`
`static class`
`BCF2FieldWriter.SiteWriter`
`static class`
`BCF2FieldWriter.StaticallyTypeGenotypesWriter`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BCF2FieldWriter(VCFHeader header, BCF2FieldEncoder fieldEncoder)`

## Method Summary

Modifier and Type
Method
Description
`void`
`done(BCF2Encoder encoder, VariantContext vc)`
`protected String`
`getField()`
`protected BCF2FieldEncoder`
`getFieldEncoder()`
`protected VCFHeader`
`getHeader()`
`void`
`start(BCF2Encoder encoder, VariantContext vc)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BCF2FieldWriter

protected BCF2FieldWriter(VCFHeader header, BCF2FieldEncoder fieldEncoder)

## Method Details

### getHeader

protected VCFHeader getHeader()

### getFieldEncoder

protected BCF2FieldEncoder getFieldEncoder()

### getField

protected String getField()

### start

public void start(BCF2Encoder encoder, VariantContext vc) throws IOException

Throws:
  `IOException`

### done

public void done(BCF2Encoder encoder, VariantContext vc) throws IOException

Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`